# coneScenes Dataset

[![Website](https://img.shields.io/badge/Website-red)](https://conescenes.chalmersformulastudent.se/) [![GitHub Discussions](https://img.shields.io/badge/discuss-on%20github-blue)](https://github.com/Chalmers-Formula-Student/coneScenes/discussions)


**coneScenes** is a collaborative LiDAR pointcloud dataset with 3D bounding box annotations for cones, specifically designed to support the development of perception algorithms used by Formula Student driverless teams.

This repository provides the command-line interface (**CLI**) and tools for working with the coneScenes dataset. It serves as the central hub for the dataset, where users can:
- Manage the dataset.
- Contribute annotations and extensions to the dataset (community effort!).
- Discuss and collaborate on future improvements through [GitHub Issues](https://github.com/Chalmers-Formula-Student/coneScenes/issues) and [Discussions](https://github.com/Chalmers-Formula-Student/coneScenes/discussions).
- Auto annotate your own data using the provided tools.

## Get Access to the Dataset

A sample scene is provided [here](ADD LINK HERE).

To get full access to the dataset, your team must contribute to the dataset with your own data. To learn how to use our auto annotation and data generation tools, please refer to our website [here](https://conescenes.chalmersformulastudent.se/tools).

## Data Collection and Contribution

As a a collaborative dataset, to get full access to the dataset the team must also contribute bu providing their own annotated scenes. This is done to ensure that the dataset grows and that the teams that use it also contribute to its growth.

The coneScenes dataset is a collaborative effort, and we highly encourage contributions from the Formula Student community. Discussions regarding future additions, improvements, and potential roadmap changes are facilitated through GitHub Discussions. If you have any ideas, suggestions, or feedback, please feel free to share them with all of us here!


## Getting Started

This repository includes the CLI and tools for interacting with the coneScenes dataset. Refer to the included documentation for detailed instructions on installation, usage, and contribution guidelines.

## Thanks

A big thank you to all the teams involved in the data collection and annotation process!  We are excited to see the coneScenes dataset continue to grow and empower the development of robust perception algorithms for Formula Student driverless vehicles.
